package jmail;
/**
 * 電子メール送信ライブラリ J-mail ver 3.0 
 * Copyright (c) 2015-2020 Takashi Kawaba Released under the MIT license
 * https://opensource.org/licenses/MIT
 */
import java.io.Serializable;
import java.util.Properties;
import javax.enterprise.context.Dependent;
import javax.enterprise.inject.Alternative;
import javax.inject.Inject;
import org.eclipse.microprofile.config.inject.ConfigProperty;

/**
 * SenderPropertiesインタフェースの実装
 * メール送信プロパティを、microprofile-config.propertiesから読み取る
 * @author kawaba
 */
@Alternative
@Dependent
public class ConfigToProperties implements Serializable, SenderProperties{
    @Inject @ConfigProperty(name = "sender.host")
    private String host;
    @Inject @ConfigProperty(name = "sender.port")
    private String port;
    @Inject @ConfigProperty(name = "sender.user")
    private String user;
    @Inject @ConfigProperty(name = "sender.password")
    private String password;

    @Override
    public Properties getProperties(){
        Properties prop = new Properties();
        prop.put("host", host);
        prop.put("port", port);
        prop.put("smtpUser", user);
        prop.put("smtpPassword", password);        
        return prop;
    }
}
